﻿using System;
using Artech.UnityIntegration;
using Artech.UnityIntegrationDemo.Contracts;
using Microsoft.Practices.Unity;

namespace Artech.UnityIntegrationDemo.Services
{
    [UnityIntegrationBehavior(ContainerName="myContainer")]
    public class SyncTimeProvisionService : ISyncTimeProvision
    {

        [Dependency]
        public ISyncTimeProvider SyncTimeProvider
        { get; set; }

        #region ISyncTimeProvision Members

        public DateTime GetCurrentTime()
        {
            return this.SyncTimeProvider.GetCurrentTime();
        }

        #endregion
    }   
}